System Requirements

SymTasks runs on Android ver 1.6 or higher (phone or tablet).

SymTasks Outlook Sync is required on computer for sync. Please read the System Requirements before installing SymTasks Outlook Sync.

Currently, SymTasks is only available in English. All the on screen and error messages are displayed only in English. However, users entered data such as title or notes of the tasks can be in any language.